#
# spec file for package fltk (Version 1.1.9)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc43 gcc43-c++ gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc43 libgomp43 libjpeg libjpeg-devel libltdl-3 libmpfr1 libmudflap43 libncurses5 libpng-devel libpng12-0 libreadline5 libstdc++43 libstdc++43-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers login m4 make man net-tools netcfg pam pam-modules patch perl perl-base permissions pkg-config popt psmisc rpm sed sysvinit tar terminfo-base texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?fedora_version}
BuildRequires:	libXext-devel
%endif

Name:           fltk
# Build Requires: freeglut-devel gcc-c++ libdrm-devel libjpeg-devel libpng-devel libxml2
BuildRequires:  Mesa-devel gcc-c++ libjpeg-devel libpng-devel xorg-x11-devel
License:        LGPL v2.1 or later
Group:          Development/Libraries/X11
AutoReqProv:    on
# some of files were updated from CinePaint CVS:
# http://cinepaint.cvs.sourceforge.net/cinepaint/cinepaint-project/fltk/
Version:        1.1.9
Release:        16.14
Summary:        Free C++ GUI Toolkit for the X Window System, OpenGL, and WIN32
Url:            http://www.fltk.org/
Source:         %{name}-%{version}-source.tar.bz2
Patch1:         %{name}-delete-fix.patch
Patch2:         %{name}-%{version}-intptr_t.patch
Patch3:         %{name}-%{version}-libdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package

%package devel
License:        LGPL v2.1 or later
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} 
AutoReqProv:    on
%if "%(xft-config --prefix)" == "/usr"
%define _xorg7libs %_lib
%define _xorg7bin bin
%define _xorg7_mandir %_mandir
%define _xorg7pixmaps include
%define _xorg7libshare share
#%define _xorg7_config /usr/share/X11/config #use libshare macro
%define _xorg7_prefix /usr
%else
%define _xorg7libs X11R6/%_lib
%define _xorg7bin X11R6/bin
%define _xorg7_mandir /usr/X11R6/man
%define _xorg7pixmaps X11R6/include
%define _xorg7libshare X11R6/lib/
#%define _xorg7_config /usr/X11R6/lib/X11/config #use libshare macro
%define _xorg7_prefix /usr/X11R6
%endif

%description devel
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a C++
graphical user interface toolkit for the X Window System (UNIX(r)),
OpenGL(r), and Microsoft(r) Windows(r) NT 4.0, 95, or 98). Installation
of this package requires you to install a 3D library. If you do not
have 3D hardware you can use the software OpenGL library in the
mesasoft package (series x3d). The library can be recompiled without 3D
support.



%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a C++
graphical user interface toolkit for the X Window System (UNIX(r)),
OpenGL(r), and Microsoft(r) Windows(r) NT 4.0, 95, or 98. The
installation of this package requires you to install a 3D library. If
you do not have hardware 3D, you can use the software OpenGL library in
the mesasoft package (series x3d). The library can be recompiled
without 3D support.



%prep
%setup -q 
%patch1
%patch2
%if "%{_lib}" == "lib64"
%patch3
# renaming on 64bit archs due to fixed libdir in variable called by ranlib
mv lib lib64
%endif

%build
%{?suse_update_config:%{suse_update_config}}
./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	    CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	    --prefix=%{_xorg7_prefix} \
	    --bindir=%{_xorg7_prefix}/bin \
            --libdir=%{_xorg7_prefix}/%{_lib} \
            --includedir=%{_xorg7_prefix}/include \
            --enable-shared --enable-threads
make         glflags="-L/usr/%{_lib}/ -lGL" \
             fltkflags="-L%{_xorg7_prefix}/%{_lib}/ -lfltk"

%install
make install libdir=${RPM_BUILD_ROOT}%{_xorg7_prefix}/%{_lib}/ \
	     includedir=${RPM_BUILD_ROOT}%{_xorg7_prefix}/include \
             bindir=${RPM_BUILD_ROOT}%{_xorg7_prefix}/bin/ \
	     docdir=${RPM_BUILD_ROOT}/%{_docdir}/fltk \
	     mandir=${RPM_BUILD_ROOT}%{_xorg7_mandir} STRIP=true
rm  -rf ${RPM_BUILD_ROOT}%{_xorg7_mandir}/cat*
rm -r test
cp -a CHANGES COPYING README ${RPM_BUILD_ROOT}%{_docdir}/fltk/
cp makeinclude ${RPM_BUILD_ROOT}%{_docdir}/fltk
chmod a-x ${RPM_BUILD_ROOT}%{_xorg7_prefix}/%{_lib}/libfltk*.a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %dir %{_docdir}/fltk
%doc %{_docdir}/fltk/CHANGES
%doc %{_docdir}/fltk/COPYING
%doc %{_docdir}/fltk/README
%{_xorg7_prefix}/%{_lib}/*.so.*

%files devel
%defattr(-,root,root)
%dir %{_docdir}/fltk
%doc %{_docdir}/fltk/examples
%doc %{_docdir}/fltk/*.gif
%doc %{_docdir}/fltk/*.jpg
%doc %{_docdir}/fltk/*.html
%doc %{_docdir}/fltk/makeinclude
%doc %{_xorg7_mandir}/man*/*
%{_xorg7_prefix}/%{_lib}/*.a
%{_xorg7_prefix}/%{_lib}/*.so
%{_xorg7_prefix}/include/*
%{_xorg7_prefix}/bin/*

%changelog
* Fri Jul 04 2008 Carsten Schoene <cs@linux-administrator.com>
- updated to 1.1.9
* Mon Apr 07 2008 pgajdos@suse.cz
- updated to 1.1.8:
  * many buxfixes
  * added documentation about the potential limitations
  of Fl::grab on newer operating systems (STR #1747)
  * FLUID checks for seperately declared callbacks to
  avoid a bogus "extern" declaration (STR #1776)
  * Added "protected" class memebrs in FLUID
  * Double-clicking a widget in a FLUID layout will show
  the item in the widget browser
  * gl_font() support for Xft+X11 (STR #1809)
  * Fl_Gl_Window::mode() needed to hide and show the window
  when toggling stereo mode (STR #1846)
  * Added Fl_Group::clip_children() methods to support
  automatic clipping of child widget drawing (STR #1844)
  * Fl_Browser_ and friends now support FL_WHEN_ENTER_KEY
  for both Enter/Return and double-clicks (STR #1818)
  * Fl_Help_View did not release the images it used (STR
  [#1817])
  * Shared libraries would not build on 64-bit Linux
  systems with an existing non-PIC FLTK installation
  (STR #1791)
- removed test dir with similar contents as examples dir
* Thu Aug 30 2007 uli@suse.de
- enable threads
* Mon Apr 16 2007 pgajdos@suse.cz
- update files from CVS in CinePaint project
  * casting between (void*) and int cleanups
  * see http://cinepaint.bigasterisk.com/FLTK
* Thu Oct 05 2006 lmichnovic@suse.cz
- fixed casting on 64bit arch (intptr_t.patch)
- compiling with no-strict-aliasing
- fixed wrongly called ranlib with fixed libdir in variable
  (libdir.patch)
* Mon Aug 07 2006 lmichnovic@suse.cz
- fixed prefixes accordingly to new X.org 7.x, detecting prefix in X.org
* Fri Aug 04 2006 postadal@suse.cz
- updated to version 1.1.7
  * added some new example programs
  * adds many new improvements to the FLUID software (multi-level undo,
  syntax highlighting in all code fields, widget alignment and sizing
  guides, dialog templates, widget subclasses, and printing and testing
  of user interfaces)
  * fixed many bugs
- removed obsoleted patches: gcc3.1-fix.dif, cast-fix.diff
* Mon Feb 13 2006 pnemec@suse.cz
- Fixed class cast errors in testsuite.
* Mon Feb 06 2006 aj@suse.de
- Reduce BuildRequires.
- Fix some testsuite errors.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 12 2005 postadal@suse.cz
- updated to version 1.1.6
- removed obsoleted patches: fltk-1.1.6-fix.dif and fltk-1.1.6-gcc34hack.patch
* Thu Jan 15 2004 meissner@suse.de
- Upgraded to 1.1.4.
- Added a hack so it compiles with gcc 3.4pre, remove when GCC
  bug 13696 is fixed.
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Fri Jun 13 2003 kukuk@suse.de
- Add missing directories to filelist
* Fri Feb 14 2003 postadal@suse.cz
- updated to version 1.1.3
  * documentation update
  * fixes
* Thu Jan 09 2003 postadal@suse.cz
- updated to version 1.1.2 (a lot of fixes)
- fixed undefined references to non-weak symbols
* Wed Jan 08 2003 ro@suse.de
- fix configure.in
* Wed Nov 20 2002 meissner@suse.de
- Upgraded to 1.1.1, upgraded fltk-delete-fix.dif, fixed neededforbuild.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Sep 04 2002 postadal@suse.cz
- added %%run_ldconfig macro [#18897]
* Tue Aug 13 2002 uli@suse.de
- fixed installation on lib64 archs
* Mon Aug 12 2002 postadal@suse.cz
- update to version 1.1.0rc5
  * a lot of fixes
* Sun May 05 2002 schwab@suse.de
- Fix invalid delete.
- Use $RPM_OPT_FLAGS.
* Fri Apr 19 2002 postadal@suse.cz
- used macro %%{_lib} and fixed Makefile
- updated to 1.1.0b13
  * Documentation updates
  * Stereo OpenGL support
  * Added support for Xft lib to provide anti-aliased text on X11
  * Initial port of FLTK 2.0 drag-and-drop support
* Wed Apr 10 2002 tiwai@suse.de
- fixed workaround for gcc 3.1 in configure script.
* Mon Feb 04 2002 nadvornik@suse.cz
- updated to 1.1.0b10
* Fri Feb 01 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 14 2002 schwab@suse.de
- Remove ia64 workaround.
* Mon Jan 14 2002 nadvornik@suse.cz
- added fltk-config to filelist
* Tue Dec 11 2001 nadvornik@suse.cz
- updated to 1.1.0b6
- added libjpeg and libpng to neededforbuild
* Thu Nov 08 2001 tiwai@suse.de
- updated to 1.1.0b5.
  built now on gcc-3.0 / beta environment, too.
* Thu Nov 08 2001 ro@suse.de
- use mesa-devel-packages in neededforbuild
* Thu Sep 27 2001 dan@suse.cz
- update to 1.1.0b1 that includes:
  * added new widgets
  * support for mouse wheels
  * keyboard navigation to all widgets
* Mon Aug 27 2001 kukuk@suse.de
- split off devel subpackage
* Fri May 25 2001 pblaha@suse.cz
- update on 1.0.11
* Thu Mar 15 2001 ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Thu Mar 08 2001 pblaha@suse.cz
- update on 1.0.10
* Wed Mar 07 2001 ro@suse.de
- added glu and glut packages
* Wed Mar 07 2001 ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Tue Jul 11 2000 mha@suse.de
- new version: 1.0.9
* Tue Jun 20 2000 schwab@suse.de
- Lower opt level on ia64.
* Wed May 24 2000 smid@suse.cz
- fix to compile with new mesa
* Fri Apr 21 2000 smid@suse.cz
- buildroot added
* Mon Feb 14 2000 mha@suse.de
- update to 1.0.7
* Wed Sep 29 1999 mha@suse.de
- update to 1.0.6
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 mha@suse.de
- removed call to "glXReleaseBuffersMESA", which only exists
  in mesasoft, but not in any hardware-accelerated OpenGL library
* Mon Jul 19 1999 bs@suse.de
- added Check
* Mon Jul 19 1999 mha@suse.de
- new package: FLTK (pronounced "fulltick") is a LGPL'd C++ graphical
  user interface toolkit for X (UNIX), OpenGL, and WIN32 (Microsoft
  Windows NT 4.0, 95, or 98)
